Subject: RE: engineering discipline WAS: stats from the text conferencingexperiment

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 2 Dec 2002 15:04:27 +0200

Being a participant in the IETF process for the last eleven years, I have been subjected to the IEEE process as well in the last three - four years. My observations are similar to Bernard's - however I would like to add a few points of difference which are important IMO.

1. The process used by the IEEE to start a new work seems to be more rigorous. There is a set of  5 criteria that a new activity ('project' as they call it in the IEEE) must meet and they are related to technical and economical feasibility, market need, distinct identity (no other standards work exists in the same space), and compatibility with the IEEE 802 architecture (the NATophobists would love this :-))
2. The participation is individual. There is such thing as 'voting membership', conditioned by attending the meetings (in person) and participating in the voting process. 
3. Mailing lists exist, but play a secondary role
4. Access to documents in works is restricted to the individual participants in the process. Approved standards are available to everybody for a small fee immediately after approval, and free of charge six months after the approval

Note that the lack of openness in distribution, and the need to attend most of the meetings (3 plenaries and 3 interims a year for most of the WGs) in the current economic climate is debated critically in the IEEE. From this respect, the IETF is provided as the positive example of openness in the IEEE debates!

As far as I understand, the IEEE Executive Committee has a similar role as the IESG in voting the approval of new activities. When standards are approved, at the end of the process there is no quality control role for the Executive Committee (as the IESG has), but the final Sponsor Ballot where all interested voting members can participate plays a similar role. This leads to documents being IMO read more attentively by a larger mass of participants than the similar IESG Last Call process. This is the accountability factor mentioned by Bernard.

One other thing which is different is that the IEEE Executive Committee meetings that approve new work, or completed standards are open.

Having participated in the work of both standards organizations, I cannot declare a winner - I cannot say that one process is better as the other. Volume speaking the throughput seems to be somehow proportional to the number of participants (roughly 3 to 1 in IETF's favor). Quality, and industry acceptance - wise, both have their success stories, and their horror stories.  Interestingly enough there is a debate going on in both places about the efficiency of the processes and the outcome might be the two cultures and processes getting closer.

Dan

> -----Original Message-----
> From: Bernard Aboba [mailto:[email-masked]]
> Sent: Sunday, December 01, 2002 8:06 PM
> To: Margaret Wasserman
> Cc: Randy Bush; [email-masked]
> Subject: Re: engineering discipline WAS: stats from the text 
> conferencingexperiment
> 
> 
> > Do you know much about how they are organized?
> 
> There is the executive committee, then the chairs of the 
> individual groups
> (IEEE 802.1, 802.11, 802.15, 802.16, etc.), and task group 
> chairs (IEEE
> 802.11f, 802.11i, etc.) In IEEE 802.1, the chair (currently Tony
> Jeffree) operates more like a WG chair with several work items (IEEE
> 802.1aa, 802.1w, etc.) In IEEE 802.11 the chair (Stuart 
> Kerry) tends to
> function more like an Area Director than a chair, since IEEE 802.11
> is broken up into Task Groups, each of which has a chair, and its own
> work items.
> 
> At the IEEE 802 plenary meetings, all groups are present 
> although they may
> not meet at the same hotel, and time can be scheduled for inter-group
> meetings. For example, IEEE 802.11 could meet with 802.1aa, 
> 802.11i could
> meet with 802.11f (not a particularly productive discussion, 
> that), etc.
> 
> The process of working group formation occurs via the Project
> Authorization Request (PAR). This is similar to the WG chartering
> process, but it seems to operate more expeditiously. 
> Typically there is a
> "Call for Interest" meeting (similar to a BOF) and then a 
> Study Group is
> formed to scope out the field and write the PAR. The Study 
> Group typically
> operates for no more than 6 months.
> 
> I'd note that the PAR process seems considerably more 
> efficient than the
> WG formation and requirements process in general, though I have seen
> examples where IEEE 802.11 task groups have gone astray due to lack of
> structure that might have been available had requirements 
> been done first.
> 
> > Do you have any perspective on what the IEEE is like on the inside?
> 
> I've been a voting member of 802.11, and a participant in 
> 802.1. Here are
> some observations on several issues:
> 
> - Funding
> - Throughput/latency
> - Tools
> - IPR policy
> - Participant accountability
> 
> Funding
> 
> Just as IETF has no corporate existence and is funded by 
> ISOC, IEEE 802
> exists within the IEEE corporate umbrella. Both encourage corporate
> memberships to supply funding, and the memberships are fairly
> expensive. There are tensions in the relationship between IEEE and
> IEEE 802 just as there are issues in the relationship of ISOC 
> and IETF.
> However, it's not clear to me that the funding issues affect the
> operation of the IEEE 802 standards process any more than 
> ISOC finances
> affect the operation of the IETF standards process.
> 
> Throughput/latency
> 
> This seems to vary widely by sub-group. For example, IEEE 
> 802.1 seems to
> regularly put out high quality standards in 18-24 months, while IEEE
> 802.11 takes much longer (IEEE 802.11 took 7 years, I believe). Having
> attended both, I'd observe that the chairs and editors of 
> IEEE 802.1 (Mick
> Seaman and Tony Jeffree) have many years of experience, keep tight
> reins on scope expansion, and seem to benefit from having a relatively
> tight knit group that seems to have been together for quite a 
> while. So
> there seem to be definite benefits from having a highly competent "old
> guard" in charge.
> 
> Tools
> 
> Tools usage varies widely within IEEE 802, but 802.11 task 
> groups tend to
> use database tools to improve the efficiency of comment 
> resolution. The
> results are quite impressive -- groups can resolve and track hundreds
> of comments from ballots in a way that would not be possible 
> without the
> tools. Tools is an area where the IETF has clearly been 
> under-investing.
> While IETF WG are using various tools today, as was discussed at the
> Tools meeting for WG chairs at IETF 53, we could do more. 
> There is now a
> Bugzilla database set up for use by WG chairs, and perhaps 
> this will lead
> to more widespread usage (and understanding of requirements).
> 
> IPR policy
> 
> The IEEE IPR policy does seem to do a better job at requiring 
> disclosure,
> earlier in the process. Disclosure is more widely required -- it's not
> just for "contributions", as I understand it, but a general 
> obligation of
> attendees.
> 
> Participant accountability
> 
> In IEEE, the ability to vote is tied to responses to ballots. 
> If you don't
> send in comments, (or at least abstain), you lose your right 
> to vote. Now
> the voting process has many bad side effects (block voting, wierd
> political maneuvers, etc.) but it does result in wide reading 
> of documents
> within the voting membership, and a deluge of comments 
> (hundreds or even
> thousands). In IEEE you do not generally have many last minute issues
> cropping up after passing of final ballot -- anyone who 
> expects to have a
> say in the standard will have spoken up way before that time.
> 
> 
>